Package org.pgpainless.key.generation.type.elgamal

# Enum Class ElGamalLength

java.lang.Object
java.lang.Enum<ElGamalLength>
org.pgpainless.key.generation.type.elgamal.ElGamalLength

All Implemented Interfaces:
  `Serializable`, `Comparable<ElGamalLength>`, `Constable`, `KeyLength`

@Deprecated public enum ElGamalLength extends Enum<ElGamalLength> implements KeyLength
Deprecated.
the use of ElGamal keys is no longer recommended.
The following primes are taken from RFC-3526.

See Also:
  - RFC-3526: More Modular Exponential (MODP) Diffie-Hellman groups for Internet Key Exchange (IKE)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`_1536`
Deprecated.
prime: 2^1536 - 2^1472 - 1 + 2^64 * { [2^1406 pi] + 741804 }.
`_2048`
Deprecated.
prime: 2^2048 - 2^1984 - 1 + 2^64 * { [2^1918 pi] + 124476 }.
`_3072`
Deprecated.
prime: 2^3072 - 2^3008 - 1 + 2^64 * { [2^2942 pi] + 1690314 }.
`_4096`
Deprecated.
prime: 2^4096 - 2^4032 - 1 + 2^64 * { [2^3966 pi] + 240904 }.
`_6144`
Deprecated.
prime: 2^6144 - 2^6080 - 1 + 2^64 * { [2^6014 pi] + 929484 }.
`_8192`
Deprecated.
prime: 2^8192 - 2^8128 - 1 + 2^64 * { [2^8062 pi] + 4743158 }.

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getG()`
Deprecated.
`int`
`getLength()`
Deprecated.
`BigInteger`
`getP()`
Deprecated.
`static ElGamalLength`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static ElGamalLength[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### _1536

public static final ElGamalLength _1536
Deprecated.
prime: 2^1536 - 2^1472 - 1 + 2^64 * { [2^1406 pi] + 741804 }. generator: 2

### _2048

public static final ElGamalLength _2048
Deprecated.
prime: 2^2048 - 2^1984 - 1 + 2^64 * { [2^1918 pi] + 124476 }. generator: 2

### _3072

public static final ElGamalLength _3072
Deprecated.
prime: 2^3072 - 2^3008 - 1 + 2^64 * { [2^2942 pi] + 1690314 }. generator: 2

### _4096

public static final ElGamalLength _4096
Deprecated.
prime: 2^4096 - 2^4032 - 1 + 2^64 * { [2^3966 pi] + 240904 }. generator: 2

### _6144

public static final ElGamalLength _6144
Deprecated.
prime: 2^6144 - 2^6080 - 1 + 2^64 * { [2^6014 pi] + 929484 }. generator: 2

### _8192

public static final ElGamalLength _8192
Deprecated.
prime: 2^8192 - 2^8128 - 1 + 2^64 * { [2^8062 pi] + 4743158 }. generator: 2

## Method Details

### values

public static ElGamalLength[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ElGamalLength valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getLength

public int getLength()
Deprecated.

Specified by:
  `getLength` in interface `KeyLength`

### getP

public BigInteger getP()
Deprecated.

### getG

public BigInteger getG()
Deprecated.